import request from '@/utils/request'

// 查询专业报名划线列表
export function listAMarjorSubmit(query) {
  return request({
    url: '/ie/aMarjorSubmit/list',
    method: 'get',
    params: query
  })
}

// 查询专业报名划线详细
export function getAMarjorSubmit(id) {
  return request({
    url: '/ie/aMarjorSubmit/' + id,
    method: 'get'
  })
}

// 新增专业报名划线
export function addAMarjorSubmit(data) {
  return request({
    url: '/ie/aMarjorSubmit',
    method: 'post',
    data: data
  })
}

// 修改专业报名划线
export function updateAMarjorSubmit(data) {
  return request({
    url: '/ie/aMarjorSubmit',
    method: 'put',
    data: data
  })
}

// 删除专业报名划线
export function delAMarjorSubmit(id) {
  return request({
    url: '/ie/aMarjorSubmit/' + id,
    method: 'delete'
  })
}
